Đến nội dung


Hình ảnh
- - - - -

[Đã xong] Lisp hide & show object


  • Please log in to reply
79 replies to this topic

#21 nataca

nataca

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 712 Bài viết
Điểm đánh giá: 553 (tốt)

Đã gửi 19 June 2009 - 08:24 AM

Em đã cố seach nhưng có lẽ từ ngữ ko chính xác nên ko có, anh cố nhớ lại xem nó ở đâu hộ em, thks nhiều

Link đây
  • 2

#22 tamtron

tamtron

    biết vẽ arc

  • Members
  • PipPip
  • 49 Bài viết
Điểm đánh giá: 10 (tàm tạm)

Đã gửi 19 June 2009 - 10:18 AM

trên cả tuyệt vời! cám ởn bác nataca nhiêu lắm ạ! em biết post này là thừa nhưng đúng là em rất cảm ơn bác, phải viết thành bài mới được, rất mong bác có thêm nhiều đóng góp cho anh em

cám ơn và chúc bác thành công trong cuộc sống!
  • 1

#23 nkgedadknr

nkgedadknr

    biết vẽ line

  • Validating
  • PipPip
  • 29 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 14 December 2009 - 03:35 PM

Bác nào biết có lệnh vba nào tương đương lệnh này của Lisp không nhỉ
  • 0

#24 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5682 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 20 August 2010 - 11:42 AM

Mình muốn hỏi có lisp để khóa và mở khóa (chứ k phải ẩn) những đối tượng được chọn không các bạn?
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#25 ceddtu

ceddtu

    biết vẽ spline

  • Members
  • PipPip
  • 90 Bài viết
Điểm đánh giá: 7 (bình thường)

Đã gửi 31 August 2010 - 11:34 AM

Mọi người tự hỏi tại sao không có lệnh ẩn từng đối tượng mà không phải ẩn cả layer hay freeze cả layer. lisp đây
Invis: ẩn object
vis: hiện object
http://www.cadviet.com/upfiles/hideshow.lsp

cho mình hỏi sao mình dùng invis thì đc mà dùng vis thì autocad ko hiểu, bạn xem lại giùm mình chỗ này với nha, cám ơn bạn nhiều !
Tiện cho mình hỏi làm sao hiện lại đc đối tượng vừa ẩn bằng invis.
  • 0
Đời vắng mẹ hiền không phụ nữ.
Anh hùng thi sĩ hỏi còn đâu !

#26 thk143

thk143

    Chưa sử dụng CAD

  • Members
  • Pip
  • 3 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 07 December 2010 - 04:07 PM

cho mình hỏi sao mình dùng invis thì đc mà dùng vis thì autocad ko hiểu, bạn xem lại giùm mình chỗ này với nha, cám ơn bạn nhiều !
Tiện cho mình hỏi làm sao hiện lại đc đối tượng vừa ẩn bằng invis.

Em dùng lệnh VIS cũng ko được :-?
  • 0

#27 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5682 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 07 December 2010 - 10:34 PM

Lisp hide show này có từ khá lâu rồi,và mình cũng vẫn dùng CAD07 từ đầu đến giờ ổn mà.Có thể là nhầm trong thao tác.Khi dùng lệnh VIS, các bạnnhớ ok 2 lần nhé (1 lần thực hiện lệnh và 1 lần trả ời câu hỏi "All hidden entities will be visible. Continue? No, :" nhé ^^
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#28 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 08 December 2010 - 12:28 PM

vẫn ko được bác ketxu à. nó hiện lên thông báo như thế này đây :
Unknown command "VIS". Press F1 for help.
ko biết e có uống nhầm thuốc hay ko nữa

Hề hề hề,
Không phải bạn uống nhầm thuốc mà là bạn download về nhầm lisp. Cái lisp này nếu mình không nhớ nhầm thì bị lỗi và đã được sửa lại ở đâu đó trên diễn đàn từ khá lâu rồi. Song do chủ thớt bận chưa cập nhật lại chỗ hỏng nên các bạn tới sau cứ thế mà down về nên dính chấu thôi.
Cái này là mình mới đọc lại cái lisp lỗi và sửa lại để các bạn xài thử coi. Nếu thấy được thì cứ thế xài, khỏi phải làm phiền bác chủ thớt nữa hỉ. Còn không được thì chờ bác chủ thớt xuống dao vậy.

;======================Bemove====================================
; Hide & Show

(defun c:InVis (/ SSet Count Elem)

(defun Dxf (Id Obj)
(cdr (assoc Id (entget Obj)))
);end Dxf

(prompt "\nSelect object(s) to hide: ")
(cond
( (setq SSet (ssget))
(repeat (setq Count (sslength SSet))
(setq Count (1- COunt)
Elem (ssname SSet Count)
)
(if (/= 4 (logand 4 (Dxf 70 (tblobjname "layer" (Dxf 8 Elem)))))
(if (Dxf 60 Elem)
(entmod (subst '(60 . 1) (assoc 60 (entget Elem)) (entget Elem)))
(entmod (append (entget Elem) (list '(60 . 1))))
)
(prompt "\nEntity on a locked layer. Cannot hide this entity. ")
);;;end if
);;;end repeat
)
);end cond
(princ)
);end c:InVis



(defun c:Vis (/ WhatNextSSet Count Elem)

(defun Dxf (Id Obj)
(cdr (assoc Id (entget Obj)))
);end Dxf

(cond
( (setq SSet (ssget "_X" '((60 . 1))))
(initget "Yes No")
(setq WhatNext (getkword "\nAll hidden entities will be visible. Continue? No, : "))
;;;;;;;(T "Yes")
)
)


(cond
( (= WhatNext "Yes")
(prompt "\nPlease wait...")
(repeat (setq Count (sslength SSet))
(setq Count (1- COunt)
Elem (ssname SSet Count)
)
(if (/= 4 (logand 4 (Dxf 70 (tblobjname "layer" (Dxf 8 Elem)))))
(entmod (subst '(60 . 0) '(60 . 1) (entget Elem)))
(prompt "\nEntity on a locked layer. Cannot make visible this entity. ")
);end if
);end repeat
(prompt "\nDone...")
)
);end cond
)
;;;;;;;(T (prompt "\nNo objects was hidden. "))


Nhớ copy cái này thành tên khác chứ đừng copy đè lên cái cũ. Sau đó các bạn hãy tự đọc lại và so sánh với cái lisp cũ để thấy cái chỗ mình sửa và hiểu được vì sao nó trật.
Hy vọng các bạn hài lòng.

PS: lưu ý các bạn là khi lisp hỏi: All hidden entities will be visible. Continue? No, :
Các bạn phải trả lời là Yes chứ không được lười nhấn mà nhập yes hay y hay Y chăng nữa. Vì như vậy lisp sẽ chẳng cho kết quả đúng đâu. Hề hề hề,
Cái này là tôn trọng bác chủ thớt đã có công làm ra nó, mình chỉ chỉnh chỗ chưa đạt chứ không thay đổi ý đồ của bác ấy. Mong các bạn hiểu giùm.
  • 3
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#29 thanhduan2407

thanhduan2407

    biết lệnh adcenter

  • Advance Member
  • PipPipPipPipPipPipPip
  • 993 Bài viết
Điểm đánh giá: 223 (khá)

Đã gửi 08 December 2010 - 12:52 PM

Hề hề hề,
Không phải bạn uống nhầm thuốc mà là bạn download về nhầm lisp. Cái lisp này nếu mình không nhớ nhầm thì bị lỗi và đã được sửa lại ở đâu đó trên diễn đàn từ khá lâu rồi. Song do chủ thớt bận chưa cập nhật lại chỗ hỏng nên các bạn tới sau cứ thế mà down về nên dính chấu thôi.
Cái này là mình mới đọc lại cái lisp lỗi và sửa lại để các bạn xài thử coi. Nếu thấy được thì cứ thế xài, khỏi phải làm phiền bác chủ thớt nữa hỉ. Còn không được thì chờ bác chủ thớt xuống dao vậy.


;======================Bemove====================================
; Hide & Show

(defun c:InVis (/ SSet Count Elem)

(defun Dxf (Id Obj)
(cdr (assoc Id (entget Obj)))
);end Dxf

(prompt "\nSelect object(s) to hide: ")
(cond
( (setq SSet (ssget))
(repeat (setq Count (sslength SSet))
(setq Count (1- COunt)
Elem (ssname SSet Count)
)
(if (/= 4 (logand 4 (Dxf 70 (tblobjname "layer" (Dxf 8 Elem)))))
(if (Dxf 60 Elem)
(entmod (subst '(60 . 1) (assoc 60 (entget Elem)) (entget Elem)))
(entmod (append (entget Elem) (list '(60 . 1))))
)
(prompt "\nEntity on a locked layer. Cannot hide this entity. ")
);;;end if
);;;end repeat
)
);end cond
(princ)
);end c:InVis
(defun c:Vis (/ WhatNextSSet Count Elem)

(defun Dxf (Id Obj)
(cdr (assoc Id (entget Obj)))
);end Dxf

(cond
( (setq SSet (ssget "_X" '((60 . 1))))
(initget "Yes No")
(setq WhatNext (getkword "\nAll hidden entities will be visible. Continue? No, : "))
;;;;;;;(T "Yes")
)
)
(cond
( (= WhatNext "Yes")
(prompt "\nPlease wait...")
(repeat (setq Count (sslength SSet))
(setq Count (1- COunt)
Elem (ssname SSet Count)
)
(if (/= 4 (logand 4 (Dxf 70 (tblobjname "layer" (Dxf 8 Elem)))))
(entmod (subst '(60 . 0) '(60 . 1) (entget Elem)))
(prompt "\nEntity on a locked layer. Cannot make visible this entity. ")
);end if
);end repeat
(prompt "\nDone...")
)
);end cond
)
;;;;;;;(T (prompt "\nNo objects was hidden. "))


Nhớ copy cái này thành tên khác chứ đừng copy đè lên cái cũ. Sau đó các bạn hãy tự đọc lại và so sánh với cái lisp cũ để thấy cái chỗ mình sửa và hiểu được vì sao nó trật.
Hy vọng các bạn hài lòng.

PS: lưu ý các bạn là khi lisp hỏi: All hidden entities will be visible. Continue? No, :
Các bạn phải trả lời là Yes chứ không được lười nhấn mà nhập yes hay y hay Y chăng nữa. Vì như vậy lisp sẽ chẳng cho kết quả đúng đâu. Hề hề hề,
Cái này là tôn trọng bác chủ thớt đã có công làm ra nó, mình chỉ chỉnh chỗ chưa đạt chứ không thay đổi ý đồ của bác ấy. Mong các bạn hiểu giùm.

Bác thanhbinh à. Nhìn con số bài mà bác tham gia thật đáng kính. Em nhìn phần bác viết mà thèm quá, chỉ mong sau này được như bác, thích lập trình theo ý mình muốn. Hic. Chắcc bác phải dày công nghiên cứu lắm mới được như ngày hôm nay bác nhở. Tại em không có thời gian nhiều nên chỉ tranh thủ xem lúc rảnh rỗi để học Lisp. Ngày trước em học pascal, sau đó là VB và sau đó nữa là nghiên cứu vài cái ngôn ngữ khác.... đến khi bắt đầu tập tành cái Lisp em thấy mê nó quá. Nó chui sâu vào Cad và điều khiển theo ý mình. Hic. Em sẵn có dòng máu thích lập trình bác ạ, không giỏi nhưng em có niềm đam mê. Rất mong bác và các anh chị trong diễn đàn giúp đỡ. Em mạn phép được xin nickname của bác để mắc lỗi chỗ nào trong quá trình nghiên cứu Lisp em muốn hỏi bác. Nickname của em là: thanhduan2407. Đợi tin của bác
  • 0



Tôi là con kiến bò trên sa mạc kiến thức bao la. Biển học thật rộng lớn







#30 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 08 December 2010 - 02:34 PM

Bác thanhbinh à. Nhìn con số bài mà bác tham gia thật đáng kính. Em nhìn phần bác viết mà thèm quá, chỉ mong sau này được như bác, thích lập trình theo ý mình muốn. Hic. Chắcc bác phải dày công nghiên cứu lắm mới được như ngày hôm nay bác nhở. Tại em không có thời gian nhiều nên chỉ tranh thủ xem lúc rảnh rỗi để học Lisp. Ngày trước em học pascal, sau đó là VB và sau đó nữa là nghiên cứu vài cái ngôn ngữ khác.... đến khi bắt đầu tập tành cái Lisp em thấy mê nó quá. Nó chui sâu vào Cad và điều khiển theo ý mình. Hic. Em sẵn có dòng máu thích lập trình bác ạ, không giỏi nhưng em có niềm đam mê. Rất mong bác và các anh chị trong diễn đàn giúp đỡ. Em mạn phép được xin nickname của bác để mắc lỗi chỗ nào trong quá trình nghiên cứu Lisp em muốn hỏi bác. Nickname của em là: thanhduan2407. Đợi tin của bác

Hề hề hề,
Chào bác thanhduan2407,
Bác lại cho mình đi tàu bay giấy rồi. Dạo này sức yếu, sợ ra gió lắm bác ạ. Chỉ sợ ốm một cái là khổ cho mấy em hàng xóm lắm lắm....
Cái vụ bài viết nhiều ấy có nhằm nhò chi đâu, quá nửa là các bài xin lỗi và xin mót ấy mà.....
Việc học lisp thì quả thật là mình cũng mới đi mót được chút chút trên diễn đàn ấy mà chứ có được học hành chi cho ra bài bản đâu. Được cái thời gian rảnh cũng hơi nhiều nên tranh thủ nhặt nhạnh gom tóp của các bác khác ít lưng vốn làm quà ấy mà. Bác vậy là có căn bản hơn mình nhiều rồi, mình co được học hành chi nhiều đâu, cái thời của mình làm chi có máy tính mà học. Học đại học lúc ấy may mắn thì được học chút chút về ngôn ngữ Algol với fortran là oai như cóc. Mình cũng chỉ được làm quen với lisp trong thời gian vài năm gần đây thôi.
Bạn sẵn có máu lập trình lại học cả VB, pâscal ..... nữa thì học lisp sẽ cực nhanh. Cứ chịu khó vào diễn đàn trao đổi với mọi người thì chỉ dăm bữa nửa tháng là bạn coi nó như rác ngay ấy mà. Cái lisp này cũng không quá phức tạp như mấy thằng bạn đã học đâu. Chỉ cần bạn hiểu cái nguyên tăc chung rồi cứ thế mà tiến tới là Ok ngay.
Chúc bạn chóng thành công.
  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#31 thanhduan2407

thanhduan2407

    biết lệnh adcenter

  • Advance Member
  • PipPipPipPipPipPipPip
  • 993 Bài viết
Điểm đánh giá: 223 (khá)

Đã gửi 08 December 2010 - 02:57 PM

Hề hề hề,
Chào bác thanhduan2407,
Bác lại cho mình đi tàu bay giấy rồi. Dạo này sức yếu, sợ ra gió lắm bác ạ. Chỉ sợ ốm một cái là khổ cho mấy em hàng xóm lắm lắm....
Cái vụ bài viết nhiều ấy có nhằm nhò chi đâu, quá nửa là các bài xin lỗi và xin mót ấy mà.....
Việc học lisp thì quả thật là mình cũng mới đi mót được chút chút trên diễn đàn ấy mà chứ có được học hành chi cho ra bài bản đâu. Được cái thời gian rảnh cũng hơi nhiều nên tranh thủ nhặt nhạnh gom tóp của các bác khác ít lưng vốn là m quà ấy mà. Bác vậy là có căn bản hơn mình nhiều rồi, mình co được học hành chi nhiều đâu, cái thời của mình làm chi có máy tính mà học. Học đại học lúc ấy may mắn thì được học chút chút về ngôn ngữ Algol với fortran là oai như cóc. Mình cũng chỉ được làm quen với lisp trong thời gian vài năm gần đây thôi.
Bạn sẵn có máu lập trình lại học cả VB, pâscal ..... nữa thì học lisp sẽ cực nhanh. Cứ chịu khó vào diễn đàn trao đổi với mọi người thì chỉ dăm bữa nửa tháng là bạn coi nó như rác ngay ấy mà. Cái lisp này cũng không quá phức tạp như mấy thằng bạn đã học đâu. Chỉ cần bạn hiểu cái nguyên tăc chung rồi cứ thế mà tiến tới là Ok ngay.
Chúc bạn chóng thành công.

Hì. Cảm ơn bác nhiều. Bác reply lại nhanh thật đấy. Em ngồi vi tính lúc nào là việc đầu tiên là vào diễn đàn từ ngày tham gia. Vì chút vốn còn ít nên thường vào học hỏi các bác. Nhiều người ai cũng hỏi làm thế nào để học giỏi Cad, em đều chỉ vào vi tính và vào " Vào cái này mà học nè". Hì. Em sẽ cố gắng tham gia và mong rằng sau này sẽ có những đóng góp nhiều hơn thế nữa. Tại công việc em nó thỉnh thoảng phải đi xa và miên man nên chỉ rảnh mới mang sách ra đọc và thực hành. Em có quyển sách lập trình autolisp tương đối hay, rất chi tiết và kỹ càng. Sách này em mượn của thầy Nguyễn Thế Thận bên trường xây dựng nhưng chưa trả vì bận. Hì. Ai muốn mượn để photo thì em cho mượn. Hì. Tính em là không che dấu điều gì, biết thì nói. Hì hì. Sau này có gì không hiểu mấy mong bác góp ý kiến và giúp đỡ. hì hì hì. Gần giống điệu hề hề hề của bác roài đó.
À. Cho em gửi lời hỏi thăm mấy em gái hàng xóm nhà bác nhé.
Em chưa lấy vợ đâu bác à. hì hì hì
  • 0



Tôi là con kiến bò trên sa mạc kiến thức bao la. Biển học thật rộng lớn







#32 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5682 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 31 May 2011 - 01:49 PM

Giới thiệu với mọi người thêm 1 lựa chọn ẩn hiện đối tượng, nguyên tác David Bethel :
;+++++++++++++ Hide Selected Entites +++++++++++++++++++++++++++++
(defun c:an (/ ss en ed)
(and (not (tblsearch "APPID" "HIDE"))
(regapp "HIDE"))
(if (not (tblsearch "LAYER" "HIDE"))
(command "_.LAYER" "_New" "HIDE" "_F" "HIDE" ""))
(if (/= (getvar "CLAYER") "HIDE")
(command "_.LAYER" "_Freeze" "HIDE" "")
(command "_.LAYER" "_UnLock" "0" "_ON" "0" "_Thaw" "0" "_Set" "0"
"_Freeze" "HIDE" ""))
(princ "\nCh\U+1ECDn \U+0111\U+1ED1i t\U+01B0\U+1EE3ng mu\U+1ED1n \U+1EA9n :")
(and (setq ss (ssget (list (cons 8 "~HIDE"))))
(while (setq en (ssname ss 0))
(setq ed (entget en))
(add_xdata_str en "HIDE" (cdr (assoc 8 ed)))
(ssdel en ss)
(command "_.CHPROP" en "" "_LAyer" "HIDE" "")))
(prin1))

;+++++++++++++ Restore ALL HIDE Layer Entities To Original Layer +++++
(defun c:hn (/ ss en xl0 xl1 xl2 xl3)
(and (setq ss (ssget "X" (list (cons 8 "HIDE"))))
(while (setq en (ssname ss 0))
(setq xl0 (entget en '("HIDE"))
xl1 (cdr (assoc -3 xl0))
xl2 (cdr (assoc "HIDE" xl1))
xl3 (cdr (assoc 1000 xl2)))
(command "_.CHPROP" en "" "_LA" xl3 "")
(ssdel en ss)))
(prin1))

;+++++++++++++ Restore Partial HIDE Layer Entities To Original Layer +++++
(defun c:hn1 (/ ss en xl0 xl1 xl2 xl3)
(if (not (tblsearch "LAYER" "HIDE"))
(alert "Kh\U+00F4ng c\U+00F3 \U+0111\U+1ED1i t\U+01B0\U+1EE3ng trong layer Hide!")
(progn
(command "_.LAYER" "_T" "HIDE" "")
(princ "\nCh\U+1ECDn \U+0111\U+1ED1i t\U+01B0\U+1EE3ng mu\U+1ED1n hi\U+1EC7n l\U+1EA1i")
(and (setq ss (ssget (list (cons 8 "HIDE"))))
(while (setq en (ssname ss 0))
(setq xl0 (entget en '("HIDE"))
xl1 (cdr (assoc -3 xl0))
xl2 (cdr (assoc "HIDE" xl1))
xl3 (cdr (assoc 1000 xl2)))
(command "_.CHPROP" en "" "_LA" xl3 "")
(ssdel en ss)))
(command "_.LAYER" "_F" "HIDE" "")))
(prin1))

;++++++++++++ Add XDATA String To An Entity ++++++++++++++++++++++
(defun add_xdata_str (e a v);;;EName APPID String_value
(and (= (type a) 'STR)
(not (tblsearch "APPID" a))
(regapp a))
(and (= (type e) 'ENAME)
(= (type v) 'STR)
(entmod
(append (entget e)
(list
(cons -3
(list
(cons a
(list (cons 1000 v))))))))))

- Lệnh :
+ An : Ẩn tất cả các đối tượng chọn
+ Hn : Hiện tất cả các đối tượng đã bị ẩn trước đó bằng lệnh An
+ Hn1 : Lựa chọn hiện lại 1 phần các đối tượng đã bị ẩn trước đó bằng lệnh An

- Lưu ý : lisp dùng layer HIDE làm layer trung gian, hi vọng không bị trùng ^^
Cơ chế khác với lisp Hide/show đầu topic.

P/S : Nhớ ngày đầu tham gia CV, dấm dúi nhắn tin cho bác Tue_NV để hỏi về bài này, rồi...bị mắng.. Giờ vẫn ấm ức :rolleyes:
  • 2

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#33 hoangtuanduong

hoangtuanduong

    biết vẽ circle

  • Members
  • PipPip
  • 30 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 31 May 2011 - 02:48 PM

Cám ơn bác nhé, lisp hay quá :)
  • 0
Học, học nữa, học mãi, ... rồi nghỉ.

#34 tinya1225

tinya1225

    biết lệnh copy

  • Members
  • PipPipPip
  • 114 Bài viết
Điểm đánh giá: 34 (tàm tạm)

Đã gửi 31 May 2011 - 03:14 PM

Mọi người tự hỏi tại sao không có lệnh ẩn từng đối tượng mà không phải ẩn cả layer hay freeze cả layer. lisp đây
Invis: ẩn object
vis: hiện object
<a href="http://www.cadviet.com/upfiles/hideshow.lsp" target="_blank">http://www.cadviet.com/upfiles/hideshow.lsp</a>

cái này có sẵn trong cad 2012 giờ mới biết có lisp. cám ơn bác nhiều nhiều nhé. quá ngon luôn
:D
  • 0
Thấy bài có ích thì ấn thật nhiều Thank + các bác nhé^^

#35 httrungcad

httrungcad

    biết vẽ arc

  • Members
  • PipPip
  • 43 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 06 June 2011 - 04:47 PM

mình hiểu tiện ích của lisp này rất là hay.Nhưng mình còn gà lắm nên không hiểu đc líp này cũng như 1 số lisp khác phải đánh tên lệnh cho lisp thực thi như thế nào.chẳng hạn lisp fakedim thì mình đánh lệnh đc,còn hideshow thì mình làm ko dc.Mong a em giải thích cách nhận biết lệnh của 1 lisp bất kì nào đó với.Xin thầnh thật cảm ơn mọi ngwời!
  • -1

#36 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5448 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 06 June 2011 - 05:15 PM

mình hiểu tiện ích của lisp này rất là hay.Nhưng mình còn gà lắm nên không hiểu đc líp này cũng như 1 số lisp khác phải đánh tên lệnh cho lisp thực thi như thế nào.chẳng hạn lisp fakedim thì mình đánh lệnh đc,còn hideshow thì mình làm ko dc.Mong a em giải thích cách nhận biết lệnh của 1 lisp bất kì nào đó với.Xin thầnh thật cảm ơn mọi ngwời!

Bạn cứ tìm trong file LSP: các ký tự nào đứng sau chữ "C:" chính là lệnh.
VD:
(defun C:AB()
...
Thì AB là lệnh.
  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#37 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5682 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 06 June 2011 - 09:38 PM

mình hiểu tiện ích của lisp này rất là hay.Nhưng mình còn gà lắm nên không hiểu đc líp này cũng như 1 số lisp khác phải đánh tên lệnh cho lisp thực thi như thế nào.chẳng hạn lisp fakedim thì mình đánh lệnh đc,còn hideshow thì mình làm ko dc.Mong a em giải thích cách nhận biết lệnh của 1 lisp bất kì nào đó với.Xin thầnh thật cảm ơn mọi ngwời!

Cách đầu tiên cần phải biết là đọc dòng giới thiệu của người post. Sau đó là cách của bạn DVH. Chúc bạn thành công ^^


Mọi người tự hỏi tại sao không có lệnh ẩn từng đối tượng mà không phải ẩn cả layer hay freeze cả layer. lisp đây
Invis: ẩn object
vis: hiện object
<a href="http://www.cadviet.com/upfiles/hideshow.lsp" target="_blank">http://www.cadviet.com/upfiles/hideshow.lsp</a>



Giới thiệu với mọi người thêm 1 lựa chọn ẩn hiện đối tượng, nguyên tác David Bethel :


- Lệnh :
+ An : Ẩn tất cả các đối tượng chọn
+ Hn : Hiện tất cả các đối tượng đã bị ẩn trước đó bằng lệnh An
+ Hn1 : Lựa chọn hiện lại 1 phần các đối tượng đã bị ẩn trước đó bằng lệnh An

- Lưu ý : lisp dùng layer HIDE làm layer trung gian, hi vọng không bị trùng ^^
Cơ chế khác với lisp Hide/show đầu topic.

P/S : Nhớ ngày đầu tham gia CV, dấm dúi nhắn tin cho bác Tue_NV để hỏi về bài này, rồi...bị mắng.. Giờ vẫn ấm ức :rolleyes:


  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#38 denxixi

denxixi

    Chưa sử dụng CAD

  • Members
  • Pip
  • 2 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 04 July 2011 - 10:07 PM

cảm ơn bác nhiều.......
  • 0

#39 nhutxd

nhutxd

    Chưa sử dụng CAD

  • Members
  • Pip
  • 1 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 29 November 2011 - 09:34 AM

CAM ON MOI NG NHIEU, EM MOI RA TRUONG DANG LAM HOA VIEN NHUNG LISP NHU THE NAY RAT BO ICH.HEHE
THANKS MOI NGUOI LAN NUA NGEN
  • 0

#40 tvkill

tvkill

    biết vẽ ellipse

  • Members
  • PipPip
  • 52 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 24 August 2012 - 02:35 PM

thanks cả nhà nhưng chỉ show một đối tượng theo thứ tự đã chọn như 1 2 ...
ý tưởng có lẽ bất khả thi nhỉ?
  • 0